-- $Id$ 

-- subscribe to a driver.

-- Copyright (C) 2008-2009 FAUmachine Team <info@faumachine.org>.
-- This program is free software. You can redistribute it and/or modify it
-- under the terms of the GNU General Public License, either version 2 of
-- the License, or (at your option) any later version. See COPYING.


package t is 
	type byte is array(0 to 7) of bit;
end package t;

entity something is
end entity something;

use t.byte;
architecture implementation of something is
	signal b : byte;
begin
	x : process
		variable x : bit;
	begin
		x := '1';
		b(4) <= x;
	end process;
end implementation;
